com.brightcove.player.model

## Class CaptionsDocument

- java.lang.Object
- - com.brightcove.player.model.CaptionsDocument

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    TTMLDocument, WebVTTDocument

      public class CaptionsDocument
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<BrightcoveClosedCaption>` | `captions`
    `protected java.util.Map<java.lang.String,Region>` | `regions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaptionsDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<BrightcoveClosedCaption>` | `getCaptions()` Retrieves the `List` of `BrightcoveClosedCaption` objects for this document.
    `java.util.Map<java.lang.String,Region>` | `getRegions()` Retrieves a `Map` of the `Region` objects in this document, keyed by their names.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### regions

          protected java.util.Map<java.lang.String,Region> regions

    - #### captions

          protected java.util.List<BrightcoveClosedCaption> captions

  - ### Constructor Detail

    - #### CaptionsDocument

          public CaptionsDocument()

  - ### Method Detail

    - #### getRegions

          public java.util.Map<java.lang.String,Region> getRegions()

      Retrieves a `Map` of the `Region` objects in this document, keyed by their names.
      Returns:
        the region map

    - #### getCaptions

          public java.util.List<BrightcoveClosedCaption> getCaptions()

      Retrieves the `List` of `BrightcoveClosedCaption` objects for this document.
      Returns:
        the caption list